<div class="aligner">
  <mat-card class="aligner-center-item">
    <mat-card-title>
      Login
    </mat-card-title>
    <mat-card-content>
      <form id="login-form" #lForm="ngForm" [formGroup]="loginForm" (ngSubmit)="submitLogin()" novalidate>
        <mat-form-field style="width: 100%; margin-bottom: 10px;" [ngClass]="{'mat-input-invalid': submitted && error?.code == 1}">
          <input matInput type="email" formControlName="email" placeholder="Email"/>
          <mat-hint style="color: red;" *ngIf="submitted && error?.code == 1 && !loginForm.controls.email.hasError('required')">{{error.message}}</mat-hint>
          <mat-hint style="color: red;" *ngIf="submitted && loginForm.controls.email.hasError('required')">Field is mandatory</mat-hint>
        </mat-form-field>
        <mat-form-field style="width: 100%;" [ngClass]="{'mat-input-invalid': submitted && error?.code == 2}">
          <input matInput type="password" formControlName="password" placeholder="Password"/>
          <mat-hint style="color: red;" *ngIf="submitted && error?.code == 2 && !loginForm.controls.password.hasError('required')">{{error.message}}</mat-hint>
          <mat-hint style="color: red;" *ngIf="submitted && loginForm.controls.password.hasError('required')">Field is mandatory</mat-hint>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions style="text-align: right;">
      <button mat-raised-button type="submit" class="btn btn-primary" form="login-form"> Sign In</button>
    </mat-card-actions>
  </mat-card>
</div>
